/* Дизайн система */

@import url("../styles/design-system.css");

/* Шапка */

.start_page {

}

.header {
    position: fixed;
    top: 0;
}

/* Контент */

.author_tours-subtitle {
    margin-bottom: clamp(16px, calc(2vw + 8px), 28px);
}

.package_tours-filter {
    margin-bottom: clamp(16px, calc(2vw + 8px), 28px);
}

/* Фильтр */

.package_tours-filter {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    gap: 15px;
    margin-bottom: 20px;
    overflow-x: auto;
    cursor: -webkit-grab;
    cursor: grab;
}

.package_tours-filter button {
    font-size: clamp(var(--fs-xs-min), 2.5vw, var(--fs-sm));
    padding: clamp(10px, calc(0.04vw + 9.85px), 10.5px) 10px;
}

.package_tours-filter:active {
    cursor: -webkit-grabbing;
    cursor: grabbing;
}

/* Фильтр -> Скрытие скролла */

.package_tours-filter {
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.package_tours-filter::-webkit-scrollbar {
    display: none;
}

.package_tours-filter > .button {
    padding: 10px;
    font-weight: 300;
    font-family: var(--fm-base);
}

.package_tours-filter > .unactive {
    background-color: var(--color-gray);
}

/* Карточки */

.grid {

}

@media (max-width: 1140px) {
    .grid {
        -ms-grid-columns: 1fr 1fr;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 690px) {
    .grid {
        -ms-grid-columns: 1fr;
        grid-template-columns: repeat(1, 1fr);
    }
}

.package_tours {
    margin-bottom: 42px;
}

@media (max-width: 500px) {
    .content-section-title {
        display: none;
    }
}

.package_tours-card {
    position: relative;
    grid-column: auto;
    grid-row: auto;
}

.package_tours-card-image img {
    width: 100%;
    aspect-ratio: calc(410 / 242);
    -o-object-fit: cover;
    object-fit: cover;
    display: block;
}

.package_tours-descriptions {
    --line-height: 1.4;

    font-size: clamp(14px, calc(0.83vw + 11px), 20px);
    margin-top: auto;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    max-height: calc(2em * var(--line-height));
}